mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Principal.IIdentity A generic purpose IIdentity implementation. The generic identity isn't related to the current operating system user.
- Constructor
  A name representing the identity.
  Create a generic identity instance with the specified name.
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A name representing the identity.
  The method used to authentify the identity.
  Create a generic identity instance with the specified name and authentication method.
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.String The name of the authentication method used to authentify the current identity. The value specified in the constructor or String.Empty if no value was used. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean Returns if the current identity was authenticated. True if Name is different from String.Empty (""), false otherwise. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String Current name of the identity. The value specified in the constructor. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)